## libopenspotify 20100128-1

=== Makefile ===
# Destination prefix, defaults to /usr
# Use 'make prefix=/usr/local' if you prefer to
# have files intalled under /usr/local
prefix ?= /usr

CC = gcc
CFLAGS = -Wall -ggdb -Iinclude -fPIC -O2
LDFLAGS = -lcrypto -lresolv -lz -lvorbisfile

# Default symbol visibility in the library; we only need to export the sp_*() functions
#CFLAGS += -fvisibility=hidden
#LDFLAGS += -Wl,-x

ifneq ($(nodebug), 1)
	CFLAGS += -DDEBUG
endif

CORE_OBJS = aes.o browse.o buf.o cache.o channel.o commands.o dns.o ezxml.o handlers.o hashtable.o hmac.o link.o login.o iothread.o packet.o player.o playlist.o rbuf.o request.o search.o sha1.o shn.o toplistbrowse.o user.o util.o
LIB_OBJS = sp_album.o sp_artist.o sp_albumbrowse.o sp_artistbrowse.o sp_error.o sp_image.o sp_link.o sp_playlist.o sp_search.o sp_session.o sp_toplistbrowse.o sp_track.o sp_user.o

# Linux
LIB_NAME = libopenspotify.so
SHLIB_FLAGS = -shared -lpthread

# Mac OS X
ifeq ($(shell uname -s),Darwin)
	LIB_NAME = libopenspotify.dylib
	SHLIB_FLAGS = -dynamiclib -dylib
endif
ifeq ($(shell uname -s),Linux)
	LDFLAGS += -lrt
endif

all: $(CORE_OBJS) $(LIB_OBJS)
	gcc -o $(LIB_NAME) $(SHLIB_FLAGS) $(LDFLAGS) $(CORE_OBJS) $(LIB_OBJS)

install: all
	install -m 0755 -d $(DESTDIR)$(prefix)/share/doc/libopenspotify
	install -m 0644 TODO.txt README.txt LICENSE.txt $(DESTDIR)$(prefix)/share/doc/libopenspotify
	install -m 0755 -d $(DESTDIR)$(prefix)/lib
	install -m 0755 $(LIB_NAME) $(DESTDIR)$(prefix)/lib
	install -m 0755 -d $(DESTDIR)$(prefix)/include/spotify
	install -m 0644 include/spotify/api.h $(DESTDIR)$(prefix)/include/spotify/api.h

clean:
	rm -f $(CORE_OBJS) $(LIB_OBJS) $(LIB_NAME)

=== debian/changelog ===
libopenspotify (20100128-1) fremantle; urgency=low

  * Packaging for maemo.

 -- Micke Nordin <mickewiki@gmail.com>  Thu, 28 Jan 2010 21:15:59 +0100
 

libopenspotify (20100123-1) unstable; urgency=low

  * Initial release.

 -- Robin Nilsson <robinnilsson@gmail.com>  Sat, 23 Jan 2010 13:51:34 +0000

=== debian/control ===
Source: libopenspotify
Priority: extra
Maintainer: Micke Nordin <mickewiki@gmail.com>
Build-Depends: debhelper (>= 5), libssl-dev, libvorbis-dev, zlib1g-dev
Standards-Version: 3.7.2
Section: libs

Package: libopenspotify-dev
Section: libdevel
Architecture: any
Depends: libssl-dev, libvorbisfile3, zlib1g-dev, libopenspotify (= ${Source-Version})
Description: libopenspotify development header and library
 An opensource, API-compliant re-implemention of libspotify 0.0.3

Package: libopenspotify
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libopenspotify shared library
 An opensource, API-compliant re-implemention of libspotify 0.0.3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) nodebug=1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libopenspotify 20100602-1

=== debian/changelog ===
libopenspotify (20100602-1) unstable; urgency=low

  * Fixed client revision information

 -- Andreas Enbacka <aenbacka@gmail.com>  Wed, 2 Jun 2010 14:18:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libopenspotify
 Priority: extra
-Maintainer: Micke Nordin <mickewiki@gmail.com>
+Maintainer: unknown <robinnilsson@gmail.com>
 Build-Depends: debhelper (>= 5), libssl-dev, libvorbis-dev, zlib1g-dev
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-	dh_install --sourcedir=debian/tmp
+#	dh_install --sourcedir=debian/tmp
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate

## libopenspotify 20100604-1

=== Makefile ===
# Destination prefix, defaults to /usr
# Use 'make prefix=/usr/local' if you prefer to
# have files intalled under /usr/local
prefix ?= /usr

CC = gcc
CFLAGS = -Wall -ggdb -I./include -fPIC -O2
LDFLAGS = -lcrypto -lresolv -lz -lvorbisfile
SHLIB_FLAGS = -Wl,-x
LIB_NAME = libopenspotify.so.3
LIB_ALTNAMES = 


# 'make nodebug=1 all' will turn off -DDEBUG 
ifneq ($(nodebug), 1)
	CFLAGS += -DDEBUG
	#LDFLAGS += -s
endif


ifeq ($(shell uname -s),Linux)
	# Linux specific flags
	LIB_ALTNAMES = libopenspotify.so
	LDFLAGS += -lpthread -lrt
	SHLIB_FLAGS += -shared -Wl,-soname=$(LIB_NAME)
endif
ifeq ($(shell uname -s),Darwin)
	# Mac OS X specific flags
	LIB_NAME = libopenspotify.3.dylib
	LIB_ALTNAMES = libopenspotify.dylib
	SHLIB_FLAGS += -dynamiclib -Wl,-install_name,$(prefix)/lib/$(LIB_NAME) -current_version $(shell date +%y.%m.%d) -compatibility_version $(shell date +%y.%m)
endif


CORE_OBJS = aes.o browse.o buf.o cache.o channel.o commands.o dns.o ezxml.o handlers.o hashtable.o hmac.o link.o login.o iothread.o packet.o player.o playlist.o rbuf.o request.o search.o sha1.o shn.o toplistbrowse.o user.o util.o
LIB_OBJS = sp_album.o sp_artist.o sp_albumbrowse.o sp_artistbrowse.o sp_error.o sp_image.o sp_link.o sp_playlist.o sp_search.o sp_session.o sp_toplistbrowse.o sp_track.o sp_user.o


# Expose symbols in sp_*.c
sp_%.o: sp_%.c
	$(CC) $(CFLAGS) -c -o $@ $<

# Hide symbols in all other files
%.o: %.c
	$(CC) -fvisibility=hidden $(CFLAGS) -c -o $@ $<


all: $(CORE_OBJS) $(LIB_OBJS)
	$(CC) -o $(LIB_NAME) $(SHLIB_FLAGS) $(LDFLAGS) $(CORE_OBJS) $(LIB_OBJS)

install: all
	install -m 0755 -d $(DESTDIR)$(prefix)/share/doc/libopenspotify
	install -m 0755 -d $(DESTDIR)$(prefix)/lib
	install -m 0755 $(LIB_NAME) $(DESTDIR)$(prefix)/lib
	for altname in $(LIB_ALTNAMES); do ln -sf $(LIB_NAME) $(DESTDIR)$(prefix)/lib/$${altname}; done
	install -m 0755 -d $(DESTDIR)$(prefix)/include/spotify
	install -m 0644 ./include/spotify/api.h $(DESTDIR)$(prefix)/include/spotify/api.h
	install -m 0755 -d $(DESTDIR)$(prefix)/lib/pkgconfig
	install -m 0644 openspotify.pc.in $(DESTDIR)$(prefix)/lib/pkgconfig/openspotify.pc
	sed -e "s:^prefix=.*:prefix=$(prefix):" -e "s:@@VER@@:$(shell date +%Y%m%d):" < openspotify.pc.in > $(DESTDIR)$(prefix)/lib/pkgconfig/openspotify.pc

clean:
	rm -f $(CORE_OBJS) $(LIB_OBJS) $(LIB_NAME)

=== debian/changelog ===
libopenspotify (20100604-1) unstable; urgency=low

  * Added depends

 -- Andreas Enbacka <aenbacka@gmail.com>  Wed, 4 Jun 2010 11:13:00 +0000

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,6 @@
 Package: libopenspotify
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libc6 (>= 2.5.0-1), libssl0.9.8 (>= 0.9.8f-5), libvorbisfile3 (>= 1.2.3.tk1), zlib1g (>= 1.2.1)
 Description: libopenspotify shared library
  An opensource, API-compliant re-implemention of libspotify 0.0.3

## libopenspotify 20100608-1

=== debian/changelog ===
libopenspotify (20100608-1) unstable; urgency=low

  * Fixed broken deb package (missing lib file)

 -- Andreas Enbacka <aenbacka@gmail.com>  Tue, 8 Jun 2010 11:13:00 +0000

## libopenspotify 20100722-1

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,8 @@
 	install -m 0644 ./include/spotify/api.h $(DESTDIR)$(prefix)/include/spotify/api.h
 	install -m 0755 -d $(DESTDIR)$(prefix)/lib/pkgconfig
 	install -m 0644 openspotify.pc.in $(DESTDIR)$(prefix)/lib/pkgconfig/openspotify.pc
+	install -m 0644 TODO.txt $(DESTDIR)$(prefix)/share/doc/libopenspotify/TODO.txt
+	install -m 0644 README.txt $(DESTDIR)$(prefix)/share/doc/libopenspotify/README.txt
 	sed -e "s:^prefix=.*:prefix=$(prefix):" -e "s:@@VER@@:$(shell date +%Y%m%d):" < openspotify.pc.in > $(DESTDIR)$(prefix)/lib/pkgconfig/openspotify.pc
 
 clean:

=== debian/changelog ===
libopenspotify (20100722-1) unstable; urgency=low

  * Fixed handling of track popularity value (the current locale is now taken into account, i.e., decimal separator)

 -- Andreas Enbacka <aenbacka@gmail.com>  Thu, 22 Jul 2010 21:23:00 +0000

## libopenspotify 20100928-1

=== debian/changelog ===
libopenspotify (20100928-1) unstable; urgency=low

  * Updated API version to 0.0.4 (api.h updated)
  * Added support for selecting preferred bitrate (sp_session_preferred bitrate; corresponding sp_bitrate struct added)

 -- Andreas Enbacka <aenbacka@gmail.com>  Tue, 28 Sep 2010 10:20:00 +0000

## libopenspotify 20100928-2

=== debian/changelog ===
libopenspotify (20100928-2) unstable; urgency=low

  * Fixed optification of libopenspotify

 -- Andreas Enbacka <aenbacka@gmail.com>  Tue, 28 Sep 2010 10:39:00 +0000

## libopenspotify 20101028-1

=== debian/changelog ===
libopenspotify (20101028-1) unstable; urgency=low

  * Modified client revision
  * Misc. fixes to handling of track availability

 -- Andreas Enbacka <aenbacka@gmail.com>  Thu, 28 Oct 2010 14:11:00 +0000

## libopenspotify 20101125-1

=== debian/changelog ===
libopenspotify (20101125-1) unstable; urgency=low

  * Reverted client revision (to ver. 20100928-2)

 -- Andreas Enbacka <aenbacka@gmail.com>  Thu, 25 Nov 2010 08:41:00 +0000

## libopenspotify 20101129-1

=== debian/changelog ===
libopenspotify (20101129-1) unstable; urgency=low

  * Fixed handling of tracks for which preferred bitrate not found (i.e., if requested bitrate 320k not found for track, the standard 160k should be used).

 -- Andreas Enbacka <aenbacka@gmail.com>  Mon, 29 Nov 2010 09:12:00 +0000

## libopenspotify 20101221-1

=== debian/changelog ===
libopenspotify (20101221-1) unstable; urgency=low

  * Fixed memory leak in packet handler (packet.c)

 -- Andreas Enbacka <aenbacka@gmail.com>  Tue, 21 Dec 2010 20:10:00 +0000

## libopenspotify 20110204-1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CFLAGS = -Wall -ggdb -I./include -fPIC -O2
 LDFLAGS = -lcrypto -lresolv -lz -lvorbisfile
 SHLIB_FLAGS = -Wl,-x
-LIB_NAME = libopenspotify.so.3
+LIB_NAME = libopenspotify.so.4
 LIB_ALTNAMES = 
 
 
@@ -26,7 +26,7 @@
 endif
 ifeq ($(shell uname -s),Darwin)
 	# Mac OS X specific flags
-	LIB_NAME = libopenspotify.3.dylib
+	LIB_NAME = libopenspotify.4.dylib
 	LIB_ALTNAMES = libopenspotify.dylib
 	SHLIB_FLAGS += -dynamiclib -Wl,-install_name,$(prefix)/lib/$(LIB_NAME) -current_version $(shell date +%y.%m.%d) -compatibility_version $(shell date +%y.%m)
 endif

=== debian/changelog ===
libopenspotify (20110204-1) unstable; urgency=low

  * Major reliability improvments / fixes to session player (streaming handling) (e.g., fixes to segfaults / music not starting to play when loading tracks).

 -- Andreas Enbacka <aenbacka@gmail.com>  Fri, 04 Feb 2011 09:07:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install --sourcedir=debian/tmp
+	dh_install --sourcedir=debian/tmp
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -98,6 +98,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify libopenspotify
 	dh_md5sums
 	dh_builddeb

## libopenspotify 20110206-1

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,8 @@
 
 # Hide symbols in all other files
 %.o: %.c
-	$(CC) -fvisibility=hidden $(CFLAGS) -c -o $@ $<
+	#$(CC) -fvisibility=hidden $(CFLAGS) -c -o $@ $<
+	$(CC)  $(CFLAGS) -c -o $@ $<
 
 
 all: $(CORE_OBJS) $(LIB_OBJS)

=== debian/changelog ===
libopenspotify (20110206-1) unstable; urgency=low

  * Added check for null dereference to sp_track_artist function.

 -- Andreas Enbacka <aenbacka@gmail.com>  Sun, 06 Feb 2011 11:40:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify libopenspotify
+	#maemo-optify libopenspotify
 	dh_md5sums
 	dh_builddeb

## libopenspotify 20110613-1

=== debian/changelog ===
libopenspotify (20110613-1) unstable; urgency=low

  * Fixed login handling; playlistcontainer only requested upon initial login.
  * Preliminary playlist caching support added; autodetect of playlist addition / removal.

 -- Andreas Enbacka <aenbacka@gmail.com>  Mon, 13 Jun 2011 11:02:00 +0000

## libopenspotify 20110617-1

=== debian/changelog ===
libopenspotify (20110617-1) unstable; urgency=low

  * Fixed playlist loading bug (introduced in ver. 20110613-1)

 -- Andreas Enbacka <aenbacka@gmail.com>  Fri, 17 Jun 2011 11:17:00 +0000

=== debian/control ===
Source: libopenspotify
Priority: extra
Maintainer: Andreas Enbacka <aenbacka@gmail.com>
Build-Depends: debhelper (>= 5), libssl-dev, libvorbis-dev, zlib1g-dev
Standards-Version: 3.7.2
Section: libs

Package: libopenspotify-dev
Section: libdevel
Architecture: any
Depends: libssl-dev, libvorbisfile3, zlib1g-dev, libopenspotify (= ${Source-Version})
Description: libopenspotify development header and library
 An opensource, API-compliant re-implemention of libspotify 0.0.4

Package: libopenspotify
Section: libs
Architecture: any
Depends: libc6 (>= 2.5.0-1), libssl0.9.8 (>= 0.9.8f-5), libvorbisfile3 (>= 1.2.3.tk1), zlib1g (>= 1.2.1)
Description: libopenspotify shared library
 An opensource, API-compliant re-implemention of libspotify 0.0.4

## libopenspotify 20110620-1

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
 
 # Hide symbols in all other files
 %.o: %.c
-	#$(CC) -fvisibility=hidden $(CFLAGS) -c -o $@ $<
-	$(CC)  $(CFLAGS) -c -o $@ $<
+	$(CC) -fvisibility=hidden $(CFLAGS) -c -o $@ $<
+#	$(CC)  $(CFLAGS) -c -o $@ $<
 
 
 all: $(CORE_OBJS) $(LIB_OBJS)

=== debian/changelog ===
libopenspotify (20110620-1) unstable; urgency=low

  * Try to use default Spotify server in case DNS service record lookup fails (e.g., in case DNS server does not support such lookup).

 -- Andreas Enbacka <aenbacka@gmail.com>  Mon, 20 Jun 2011 11:24:00 +0000

## libopenspotify 20110621-1

=== debian/changelog ===
libopenspotify (20110621-1) unstable; urgency=low

  * Fixed bug in login.c (related to new DNS handling)

 -- Andreas Enbacka <aenbacka@gmail.com>  Tue, 21 Jun 2011 09:03:00 +0000
